# Location

Stores the file name and line number of a XML file

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: b4ab57d15c992c322afd64f4376e36f526021a5d $
package | phing.parser

### Methods

## __toString

    __toString() : string

### Response

`string`

## Constructs the location consisting of a file name and line number

    Location( $fileName = null,  $lineNumber = null,  $columnNumber = null)

### Arguments

#### $fileName

``

#### $lineNumber

``

#### $columnNumber

``

## Returns the file name, line number and a trailing space.

    toString() : string

An error message can be appended easily. For unknown locations, returns empty string.

### Response

`string`

the string representation of this Location object

### Properties

## fileName

    fileName :

### Type(s)

``

## lineNumber

    lineNumber :

### Type(s)

``

## columnNumber

    columnNumber :

### Type(s)

``